> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /iam/v1/tenant-user-account-with-attributes/{id}
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /iam/v1/tenant-user-account-with-attributes/{id}:
    get:
      tags:
        - nebius.iam.v1.TenantUserAccountWithAttributesService
      summary: Get
      operationId: TenantUserAccountWithAttributesService_Get
      parameters:
        - description: >-
            tenant user account id like
            'tenantuseraccount-{region}someuniquesuffix'
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1TenantUserAccountWithAttributes'
          description: A successful response.
components:
  schemas:
    v1TenantUserAccountWithAttributes:
      properties:
        attributes:
          $ref: '#/components/schemas/v1UserAttributes'
        error:
          $ref: '#/components/schemas/v1Error'
        tenantUserAccount:
          $ref: '#/components/schemas/v1TenantUserAccount'
      type: object
    v1UserAttributes:
      properties:
        email:
          type: string
        emailVerified:
          type: boolean
        familyName:
          type: string
        givenName:
          type: string
        locale:
          type: string
        name:
          type: string
        phoneNumber:
          type: string
        phoneNumberVerified:
          type: boolean
        picture:
          type: string
        preferredUsername:
          type: string
        sub:
          type: string
        zoneinfo:
          type: string
      type: object
    v1Error:
      properties:
        message:
          type: string
      type: object
    v1TenantUserAccount:
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/v1TenantUserAccountSpec'
        status:
          $ref: '#/components/schemas/v1TenantUserAccountStatus'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    v1TenantUserAccountSpec:
      properties:
        visibleAttributes:
          $ref: '#/components/schemas/TenantUserAccountSpecVisibleAttributes'
      type: object
    v1TenantUserAccountStatus:
      properties:
        federationId:
          description: >-
            the federation id of the linked user account. Could be empty in a
            case of a tenant user account belongs to an invitation which wasn't

            accepted.
          type: string
        invitationId:
          title: >-
            if a tenant user account is created during invitation it gets a
            reference to the invitation resource

            once invitation is accepted it looses this reference (and internally
            gets a reference to their global federated user account)
          type: string
        state:
          $ref: '#/components/schemas/v1TenantUserAccountStatusState'
        userAccountState:
          $ref: '#/components/schemas/v1UserAccountStatusState'
      type: object
    TenantUserAccountSpecVisibleAttributes:
      properties:
        attribute:
          items:
            type: string
          type: array
      title: >-
        when a global user account is projected to a specific tenant

        they can give consent for that tenant's owner to view specific personal
        data

        by listing explicitly visible PDS attributes

        complete list of PDS attributes is described in
        ../../pds/inner/v1alpha1/iam_identifier.proto
      type: object
    v1TenantUserAccountStatusState:
      default: STATE_UNSPECIFIED
      enum:
        - STATE_UNSPECIFIED
        - ACTIVE
        - INACTIVE
        - BLOCKED
      title: >-
        - ACTIVE: - in case of ordinary tenant user account a corresponding user
        can log into the system and use granted tenant resources

        - in case of invited tenant user account once the invitation is accepted
        a corresponding user can start using granted resources
          immediately
         - INACTIVE: unused
         - BLOCKED: - in case of ordinary tenant user account a corresponding user can log into the system but cannot be authorized to use tenant
          resources
        - in case of invited tenant user account once the invitation is accepted
        a corresponding user cannot start using granted resources
          until is unblocked
      type: string
    v1UserAccountStatusState:
      default: STATE_UNSPECIFIED
      enum:
        - STATE_UNSPECIFIED
        - ACTIVE
        - INACTIVE
        - DELETING
      title: >-
        - ACTIVE: usual state when federated user can log into the system and
        view/manage granted resources in one or more tenants
         - INACTIVE: federated user can be blocked (manually or by any specific automated process), in this state user cannot log into the system
         - DELETING: federated user can be deleted/forgot, in this state user cannot log into the system and various internal removal interactions are in
        progress
      type: string
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````